usb_msd_state_t Struct Reference

State information for the USB MSD peripheral. More...

`#include <msc_disk.h>`

## Data Fields

uint32_t | start_app
uint8_t | buffer [kDiskSectorSize]
| Generic buffer.
uint8_t | sbBuffer [kDiskSectorSize]
| Buffer to hold SB file sectors.
uint8_t | isDiskLocked
uint8_t | read_write_error
uint8_t | isActive
| Set to true when the first SB file is transferred.
uint8_t | isTransferring
| Whether an SB file transfer has been started.
uint8_t | sbLoaderStatus
uint8_t | isProcessing
| Set to true while the SB file is being processed.
uint8_t | isReceivePending
| Whether a sector write is being held off until a buffer is free.
uint32_t | infoFileLength
| Size in bytes of the info.txt file.
uint32_t | nextSector
| The next expected sector write for the SB file transfer.
uint32_t | remainingFileLength
| Total length in bytes of the SB file being transferred.
uint32_t | dataBytesAvailable
| Number of bytes available in sectorBuffer.
sb_transfer_status_t | transferStatus
| Status to present in the status.txt file.
uint8_t | isLoaderInited
| Flag to indicate that the SB loader has been initialized.

## Detailed Description

State information for the USB MSD peripheral.

The sector buffers come first so they will be word aligned.

## Field Documentation

uint8_t buffer

Generic buffer.

uint32_t dataBytesAvailable

Number of bytes available in sectorBuffer.

uint32_t infoFileLength

Size in bytes of the info.txt file.

uint8_t isActive

Set to true when the first SB file is transferred.

uint8_t isDiskLocked

uint8_t isLoaderInited

Flag to indicate that the SB loader has been initialized.

uint8_t isProcessing

Set to true while the SB file is being processed.

uint8_t isReceivePending

Whether a sector write is being held off until a buffer is free.

uint8_t isTransferring

Whether an SB file transfer has been started.

uint32_t nextSector

The next expected sector write for the SB file transfer.

uint8_t read_write_error

uint32_t remainingFileLength

Total length in bytes of the SB file being transferred.

uint8_t sbBuffer

Buffer to hold SB file sectors.

uint8_t sbLoaderStatus

uint32_t start_app

sb_transfer_status_t transferStatus

Status to present in the status.txt file.

The documentation for this struct was generated from the following files:

- msc_disk.h
- disk.c